aspose file tools
The moose likes JDBC and Relational Databases and the fly likes JDBC Driver Classes JDK version issue Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Head First Android this week in the Android forum!
JavaRanch » Java Forums » Databases » JDBC and Relational Databases
Bookmark "JDBC Driver Classes JDK version issue" Watch "JDBC Driver Classes JDK version issue" New topic
Author

JDBC Driver Classes JDK version issue

rakesh kadulkar
Ranch Hand

Joined: Jul 24, 2008
Posts: 115
Hi,

If I try to run a class file using JVM whose version is different than the JDK using what I have compiled my .java file so it does not execute.

So as far as the JDBC type 4 drivers are concerned they are provided by the vendor in the form of class files and these class files

are also compiled using some version of JDK so I dont understand how come these class files work with any JVM version?

Correct me if I am making any mistake.

Thanks


Rakesh Kadulkar
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5850
    
    7

You can always run your Java app with a JVM that is newer than the one used to compile the class files, but not with an older JVM.


JBoss In Action
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: JDBC Driver Classes JDK version issue
 
It's not a secret anymore!